Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 268513 - NullPointerException at org.netbeans.modules.docker.api.DockerImage.<init>
NullPointerException at org.netbeans.modules.docker.api.DockerImage.<init>
Status: NEW
Product: docker
Classification: Unclassified
Component: Infrastructure
8.2
All All
: P3 with 1 vote (vote)
: TBD
Assigned To: Petr Hejl
issues
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-13 21:22 UTC by javydreamercsw
Modified: 2017-06-11 10:46 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (684 bytes, text/plain)
2016-10-13 21:22 UTC, javydreamercsw
Details
stacktrace (684 bytes, text/plain)
2016-11-03 20:58 UTC, szokekaroly
Details
Output of "docker images" (46.74 KB, image/png)
2017-04-13 11:12 UTC, ilia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description javydreamercsw 2016-10-13 21:22:46 UTC
Build: NetBeans IDE 8.2 (Build 201609300101)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.101-b13, Java(TM) SE Runtime Environment, 1.8.0_101-b13
OS: Linux

User Comments:
javydreamercsw: Not sure what triggered it.

GUEST: Docker for Mac
socat TCP-LISTEN:2376,reuseaddr,fork UNIX-CLIENT:/var/run/docker.sock
List Images at "Local Docker"

GUEST: Listing docker images

GUEST: After a docker stop to update a container

GUEST: Nullpointer exception when expanding Docker images node




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.docker.api.DockerImage.<init>(DockerImage.java:73)
   at org.netbeans.modules.docker.api.DockerAction.getImages(DockerAction.java:168)
   at org.netbeans.modules.docker.ui.node.DockerImagesChildFactory.createKeys(DockerImagesChildFactory.java:112)
   at org.openide.nodes.AsynchChildren.run(AsynchChildren.java:215)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
   at org.netbeans.modules.openide.util.GlobalLookup.execute(GlobalLookup.java:68)
Comment 1 javydreamercsw 2016-10-13 21:22:48 UTC
Created attachment 162497 [details]
stacktrace
Comment 2 kiroff 2016-10-21 09:42:50 UTC
Same problem occurring on:
-------------------------------------------------------------------------------
  Product Version         = NetBeans IDE 8.2 (Build 201609300101) (#5fd841261bf9)
  Operating System        = Linux version 4.8.2-1-ARCH running on amd64
  Java; VM; Vendor        = 1.8.0_112; Java HotSpot(TM) 64-Bit Server VM 25.112-b15; Oracle Corporation
  Runtime                 = Java(TM) SE Runtime Environment 1.8.0_112-b15
  Java Home               = /usr/lib/jvm/java-8-jdk/jre
  System Locale; Encoding = en_US (nb); UTF-8
-------------------------------------------------------------------------------
Sometimes, when I login to the remote docker machine and manually delete an image, the list of images manages to refresh and display correctly, but not always.
Comment 3 szokekaroly 2016-11-03 20:58:27 UTC
Created attachment 162759 [details]
stacktrace

OS: Fedora 24
Kernel: 4.8.4
Docker: 1.10.3
Netbeans IDE: 8.2 run on built in JDK
Docker is running on localhost: -H tcp:0.0.0.0:2375
I successfully added local docker: http://127.0.0.1:2375, Test successfully, but when I clicked on Lockal Docker/Images, this error message appeared.
Comment 4 aldobrucale 2016-12-29 09:45:07 UTC
I'm having the same problem, with Docker listening on tcp://127.0.0.1:2375

Product Version         = NetBeans IDE 8.2 (Build 201609300101) (#5fd841261bf9)
Operating System        = Linux version 4.4.0-57-generic running on amd64
Java; VM; Vendor        = 1.8.0_111; Java HotSpot(TM) 64-Bit Server VM 25.111-b14; Oracle Corporation
Runtime                 = Java(TM) SE Runtime Environment 1.8.0_111-b14
Java Home               = /usr/lib/jvm/java-8-oracle/jre
System Locale; Encoding = en_US (nb); UTF-8
Comment 5 Exceptions Reporter 2017-01-27 11:35:44 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=226178
Comment 6 ilia 2017-04-13 11:08:39 UTC
Unable to change Whiteboard to 82patch2-fixed
Unable to change Milestone to 8.2
Unable to change status to FIXED

https://netbeans.org/bugzilla/show_bug.cgi?id=268513 Changesets:
    http://hg.netbeans.org/releases/rev/a12e47e594c4 # Fixed #268513 - NullPointerException at org.netbeans.modules.docker.api.DockerImage.<init>
    http://hg.netbeans.org/releases/rev/8c0575631cf3 # Fixed #268513 - NullPointerException at org.netbeans.modules.docker.api.DockerImage.<init>
Comment 7 ilia 2017-04-13 11:12:06 UTC
Created attachment 164096 [details]
Output of "docker images"

This bug occurred when I had output of docker images like in the attachment.
Please not that the last line's Repository is not empty and tag is empty.

Does anyone know how to reproduce this?
Set REPOSITORY name to something and TAG to empty?
Comment 8 Quality Engineering 2017-04-14 01:53:47 UTC
Integrated into 'main-silver', will be available in build *201704140002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c921cb6530b2
User: Ilia Gromov <ilia@netbeans.org>
Log: Fixed #268513 - NullPointerException at org.netbeans.modules.docker.api.DockerImage.<init>
(transplanted from a12e47e594c44e187585430628d92a75d7d09c09)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo